@echo off
setlocal
set f=%~n0
if [%1]==[] goto:eof
set data=%1
:loop
shift
if [%1]==[] goto:eof
find /i "%1" %data%>%1.tmp
for /f "tokens=1-5 delims=* " %%c in (%1.tmp) do if /i %1==%%c echo %%c  %%g	%%d
goto loop
